# Changelog

## 2025-04-12 - 3.0.5 - fix(documentation)
Enhance documentation with extensive usage examples, update project metadata, and remove obsolete CI configuration

- Updated package description and keywords in package.json and npmextra.json to better reflect the library's robust binary data handling capabilities
- Revised README with comprehensive guides, detailed code examples, and advanced use cases for conversions, validations, and integrations
- Removed outdated .gitlab-ci.yml file to streamline CI configuration
- Improved clarity and structure in documentation for both browser and Node.js environments

## 2024-05-29 - 3.0.4 - misc  
Updated project description.  
- Updated the project description to better reflect current features.

## 2024-04-25 - 3.0.3 - core  
Core fixes applied.  
- Fixed issues in the core module.

## 2024-04-25 - 3.0.2 - core  
Core fixes applied.  
- Fixed issues in the core module.

## 2024-04-17 - 3.0.1 - core  
Core fixes applied.  
- Fixed issues in the core module.

## 2024-04-17 - 3.0.0 - core  
Core fixes applied.  
- Fixed issues in the core module.

## 2024-04-17 - 2.0.3 - core  
Breaking change in core module.  
- BREAKING CHANGE (core): Updated core functionality.

## 2024-04-17 - 2.0.2 - core  
Core fixes applied.  
- Fixed issues in the core module.

## 2024-04-17 - 2.0.1 - core  
Core fixes applied.  
- Fixed issues in the core module.

## 2024-04-17 - 2.0.0 - core  
Core fixes applied.  
- Fixed issues in the core module.

## 2024-04-17 - 1.0.7 - core, config  
Multiple updates including breaking changes and configuration adjustments.  
- BREAKING CHANGE (core): Switched to uInt8Extras.  
- Updated tsconfig.  
- Updated npmextra.json for githost.

## 2024-02-29 - 1.0.6 - core  
Core fixes applied.  
- Fixed issues in the core module.

## 2024-02-25 - 1.0.5 - core  
Core fixes applied.  
- Fixed issues in the core module.

## 2024-02-25 - 1.0.4 - core  
Core fixes applied.  
- Fixed issues in the core module.

## 2024-02-25 - 1.0.3 - core, org  
Core fixes and organizational change.  
- Fixed issues in the core module.  
- Switched to new organization scheme.

## 2022-06-15 - 1.0.2 - core  
Core fixes applied.  
- Fixed issues in the core module.

## 2022-06-15 - 1.0.1 - core  
Core fixes applied.  
- Fixed issues in the core module.

<!--  
Note: Routine version bump commits that only updated the version numbers have been omitted for clarity.
-->